#

API Docs for:
Show: Inherited Protected Private Deprecated

# OtherClass2 Class

Defined in: `input/test/test.js:120`
Module: mysubmodule
Parent Module: mymodule

Other Class 2

- Index
- Methods
- Properties
- Attributes
- Events

## Item Index

### Methods

- crashTest
- crossedAttr
- crossedEvent
- crossOptAttr
- hbHelper1
- hbHelper2
- hbHelper3
- testMethod

### Properties

- options static

### Attributes

- optionalAttr
- requiredAttr

### Events

- changeWithOptional

## Methods

### `crashTest`

(

- `foo`

)

Defined in `input/test/test.js:160`

crash test method

#### Parameters:

- `foo` String

  The string to crash the parser

### `crossedAttr`

()

Defined in `input/test/test.js:179`

This method has attr requiredAttr

### `crossedEvent`

()

Defined in `input/test/test.js:174`

This method fires changeWithOptional

### `crossOptAttr`

()

Defined in `input/test/test.js:184`

This method has attr optionalAttr

### `hbHelper1`

()

Defined in `input/test/test.js:189`

Test `{{foobar}}` `{{barfoo}}`

### `hbHelper2`

()

Defined in `input/test/test.js:194`

Test `{{foobar2}}` `{{barfoo2}}`

### `hbHelper3`

()

Defined in `input/test/test.js:199`

Test `{{foobar3}}` `{{barfoo3}}`

### `testMethod`

(

- `foo`

)

Defined in `input/test/test.js:142`

This is a test of CASE TaGs

#### Parameters:

- `foo` String

  Foo description

## Properties

### `options`

Object protected static

Defined in `input/test/test.js:126`

Default options to use for all transactions.

#### Sub-properties:

- `[attributes]` Object optional

  HTML attribute name/value pairs that should be added to inserted nodes.

- `[autopurge=false]` Boolean optional

  Whether or not to automatically purge inserted nodes after the purge threshold is reached.

- `[doc]` Document optional

  Document into which nodes should be inserted.

- `[pollInterval=50]` Number optional

  Polling interval (in milliseconds) for detecting CSS load completion in browsers that don't support the `load` event on `<link>` nodes.

## Attributes

### `optionalAttr`

optional

Defined in `input/test/test.js:148`

This is an optional attribute

### `requiredAttr`

required

Defined in `input/test/test.js:154`

This is a required attribute

## Events

### `changeWithOptional`

Defined in `input/test/test.js:166`

#### Event Payload:

- `ev` EventFacade

  containing:

  - `[name]` String optional

    Name of the field changed